cannot play movies on DVD

Questions about codecs, DVD playback, web plugins...
Forum rules
Before you post please read how to get help
Post Reply
dpurple
Level 1
Level 1
Posts: 7
Joined: Tue Feb 21, 2017 8:47 am

cannot play movies on DVD

Post by dpurple » Tue Feb 21, 2017 9:26 am

Hi everybody,

there are several posts about this on the forum and elsewhere but I couldn't find any solution so far for my laptop.
I'm trying to play movies on dvd but none of them works, my cd/dvd player works with any data cd/dvd but when I try to play the dvd on VLC, I get the same error 'DVDRead could not open the disc "/dev/sr0" '(for every device listed).
I have installed ubuntu-restricted-extras , libdvdcss2; I've tried to set 'regionset' but I keep going to getting the error 'ERROR: Could not open disc "/dev/XX"! ' (I have used wodim -prcap to locate the dvdrom).
It seems also gstreamer is already installed.
I'm an not an expert linux user, I'm currently using Mint 18 Xfce on the following old asus laptop: Intel Core2 CPU T5600 @ 1.83GHz, 2 GB RAM
I hope somebody very kind could help me figure out how to solve this...

cheers

all41
Level 15
Level 15
Posts: 5691
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: cannot play movies on DVD

Post by all41 » Tue Feb 21, 2017 11:10 am

I have installed ubuntu-restricted-extras , libdvdcss2
If you are using 18x the only package needed to play dvd is
mint-meta-codecs

dpurple
Level 1
Level 1
Posts: 7
Joined: Tue Feb 21, 2017 8:47 am

Re: cannot play movies on DVD

Post by dpurple » Tue Feb 21, 2017 11:37 am

I typed: apt install mint-meta-codecs and I've got the message:
mint-meta-codecs is already the newest version

Is there anything else I can do?

all41
Level 15
Level 15
Posts: 5691
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: cannot play movies on DVD

Post by all41 » Tue Feb 21, 2017 11:45 am

poll your hardware:

Code: Select all

sudo lshw
is your drive listed as /dev/sr0?
and in vlc toolbar Media/Open Disc under the Disc tb does it also show /dev/sr0?

dpurple
Level 1
Level 1
Posts: 7
Joined: Tue Feb 21, 2017 8:47 am

Re: cannot play movies on DVD

Post by dpurple » Tue Feb 21, 2017 12:15 pm

this is what I get by typing sudo lshw (with a DVD inserted):
*-cdrom
description: DVD-RAM writer
product: DVDRAM GSA-T10N
vendor: HL-DT-ST
physical id: 0.0.0
bus info: scsi@1:0.0.0
logical name: /dev/cdrom
logical name: /dev/cdrw
logical name: /dev/dvd
logical name: /dev/dvdrw
logical name: /dev/sr0
version: PR03
capabilities: removable audio cd-r cd-rw dvd dvd-r dvd-ram
configuration: ansiversion=5 status=busy

Yes, VLC shows /dev/sr0

George99
Level 3
Level 3
Posts: 106
Joined: Sun Aug 10, 2014 10:59 am

Re: cannot play movies on DVD

Post by George99 » Tue Feb 21, 2017 12:19 pm

EDIT: sorry
Last edited by George99 on Tue Feb 21, 2017 12:23 pm, edited 1 time in total.

dpurple
Level 1
Level 1
Posts: 7
Joined: Tue Feb 21, 2017 8:47 am

Re: cannot play movies on DVD

Post by dpurple » Tue Feb 21, 2017 12:21 pm

Moreover, I would like to add that I was not having this issue when I was using Mint 13 Cinnamon, which was previously installed on the same laptop.
Probably this hardware is too old to run some things on Mint 18.
Thanks for your replies all41.

dpurple
Level 1
Level 1
Posts: 7
Joined: Tue Feb 21, 2017 8:47 am

Re: cannot play movies on DVD

Post by dpurple » Tue Feb 21, 2017 12:23 pm

George99 wrote:Did you already install the libdvdcss2 package in order to watch "Content Scramble System" protected DVDs?

EDIT: sorry, you already answered this question :(

Hi George99, by typing

Code: Select all

locate libdvdcss2
I can see several files being installed.

all41
Level 15
Level 15
Posts: 5691
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: cannot play movies on DVD

Post by all41 » Tue Feb 21, 2017 1:32 pm

libdvdcss2 is installed as a dependency when installing mint-meta-codecs
as well as gstreamer, vlc and all packages that would be needed to play a
normal dvd.

Code: Select all

Commit Log for Tue Feb 21 17:30:09 2017


Installed the following packages:
adobe-flashplugin (1:20170214.1-0ubuntu0.16.04.1)
cabextract (1.6-1)
chromium-codecs-ffmpeg-extra (55.0.2883.87-0ubuntu0.16.04.1263)
gstreamer0.10-ffmpeg (0.10.13-5ubuntu1~trusty2)
gstreamer1.0-libav (1.8.3-1ubuntu0.1)
gstreamer1.0-plugins-bad (1.8.3-1ubuntu0.2)
gstreamer1.0-plugins-bad-faad (1.8.3-1ubuntu0.2)
gstreamer1.0-plugins-bad-videoparsers (1.8.3-1ubuntu0.2)
gstreamer1.0-plugins-ugly (1.8.3-1ubuntu0.1)
gstreamer1.0-plugins-ugly-amr (1.8.3-1ubuntu0.1)
liba52-0.7.4 (0.7.4-18)
libass5 (0.13.1-1)
libavcodec-extra (7:2.8.11-0ubuntu0.16.04.1)
libavcodec-ffmpeg-extra56 (7:2.8.11-0ubuntu0.16.04.1)
libavfilter-ffmpeg5 (7:2.8.11-0ubuntu0.16.04.1)
libavformat-ffmpeg56 (7:2.8.11-0ubuntu0.16.04.1)
libavresample-ffmpeg2 (7:2.8.11-0ubuntu0.16.04.1)
libavutil-ffmpeg54 (7:2.8.11-0ubuntu0.16.04.1)
libbasicusageenvironment1 (2016.02.09-1)
libbluray1 (1:0.9.2-2)
libbs2b0 (3.1.0+dfsg-2.2)
libcddb2 (1.3.2-5fakesync1)
libchromaprint0 (1.3-1)
libcrystalhd3 (1:0.0~git20110715.fdd2f19-11build1)
libdc1394-22 (2.2.4-1)
libdca0 (0.0.5-7build1)
libde265-0 (1.0.2-2)
libdirectfb-1.2-9 (1.2.10.0-5.1)
libdvbpsi10 (1.3.0-4)
libdvdcss2 (1.2.13-0)
libebml4v5 (1.3.3-1)
libfaad2 (2.8.0~cvs20150510-1)
libflite1 (2.0.0-release-1)
libfluidsynth1 (1.1.6-3)
libgme0 (0.6.0-3ubuntu0.16.04.1)
libgroupsock8 (2016.02.09-1)
libgstreamer-plugins-bad1.0-0 (1.8.3-1ubuntu0.2)
libgtkglext1 (1.2.0-3.2fakesync1ubuntu1)
libhal1-flash (0.3.1)
libiso9660-8 (0.83-4.2ubuntu1)
libkate1 (0.4.1-7)
liblivemedia50 (2016.02.09-1)
libmad0 (0.15.1b-8ubuntu1)
libmatroska6v5 (1.4.4-1)
libmimic0 (1.0.4-2.3)
libmjpegutils-2.1-0 (1:2.1.0+debian-4)
libmms0 (0.6.4-1)
libmodplug1 (1:0.8.8.5-2)
libmp3lame0 (3.99.5+repack1-9build1)
libmpcdec6 (2:0.1~r459-4.1build1)
libmpeg2-4 (0.5.1-7)
libmpeg2encpp-2.1-0 (1:2.1.0+debian-4)
libmpg123-0 (1.22.4-1)
libmplex2-2.1-0 (1:2.1.0+debian-4)
libmspack0 (0.5-1)
libofa0 (0.9.3-10ubuntu1)
libopenal1 (1:1.16.0-3)
libopencv-calib3d2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-contrib2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-core2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-features2d2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-flann2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-highgui2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-imgproc2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-legacy2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-ml2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-objdetect2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-video2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopenjpeg5 (1:1.5.2-3.1)
libpostproc-ffmpeg53 (7:2.8.11-0ubuntu0.16.04.1)
libproxy-tools (0.4.11-5ubuntu1)
libqt5x11extras5 (5.5.1-3build1)
libresid-builder0c2a (2.1.1-14ubuntu2)
libschroedinger-1.0-0 (1.0.11-2.1build1)
libsdl-image1.2 (1.2.12-5build2)
libshine3 (3.1.0-4)
libsidplay1v5 (1.36.59-8)
libsidplay2v5 (2.1.1-14ubuntu2)
libsnappy1v5 (1.1.3-2)
libsodium18 (1.0.8-5)
libsoundtouch1 (1.9.2-2)
libsoxr0 (0.1.2-1)
libspandsp2 (0.0.6-2.1)
libsrtp0 (1.4.5~20130609~dfsg-1.1ubuntu1)
libssh-gcrypt-4 (0.6.3-4.3)
libssh2-1 (1.5.0-2ubuntu0.1)
libswresample-ffmpeg1 (7:2.8.11-0ubuntu0.16.04.1)
libswscale-ffmpeg3 (7:2.8.11-0ubuntu0.16.04.1)
libtbb2 (4.4~20151115-0ubuntu3)
libtwolame0 (0.3.13-1.2)
libunshield0 (1.0-1)
libupnp6 (1:1.6.19+git20160116-1)
libusageenvironment3 (2016.02.09-1)
libva-drm1 (1.7.0-1)
libva-x11-1 (1.7.0-1)
libva1 (1.7.0-1)
libvcdinfo0 (0.7.24+dfsg-0.2)
libvlc5 (2.2.2-5)
libvlccore8 (2.2.2-5)
libvncclient1 (0.9.10+dfsg-3ubuntu0.16.04.1)
libvo-aacenc0 (0.1.3-1)
libvo-amrwbenc0 (0.1.3-1)
libwildmidi-config (0.3.8-2)
libwildmidi1 (0.3.8-2)
libx264-148 (2:0.148.2643+git5c65704-1)
libx265-79 (1.9-3)
libxcb-composite0 (1.11.1-1ubuntu1)
libxcb-xv0 (1.11.1-1ubuntu1)
libxvidcore4 (2:1.3.4-1)
libzbar0 (0.10+doc-10ubuntu1)
libzmq5 (4.1.4-7)
libzvbi-common (0.2.35-10)
libzvbi0 (0.2.35-10)
mint-meta-codecs (2016.05.04)
mint-meta-codecs-core (2016.05.04)
oxideqt-codecs-extra (1.20.4-0ubuntu0.16.04.1)
unrar (1:5.3.2-1)
unshield (1.0-1)
vlc (2.2.2-5)
vlc-data (2.2.2-5)
vlc-nox (2.2.2-5)
vlc-plugin-notify (2.2.2-5)
xplayer-mozilla (1.2.2+serena)
xplayer-plugins-extra (1.2.2+serena)
This is for Serena XFCE but I would not expect a difference in Sarah

dpurple
Level 1
Level 1
Posts: 7
Joined: Tue Feb 21, 2017 8:47 am

Re: cannot play movies on DVD

Post by dpurple » Tue Feb 21, 2017 3:15 pm

I have some of them installed, it would be interesting to know how to get a list similar to yours, otherwise it will take ages for me to check every package one after another :)


all41 wrote:libdvdcss2 is installed as a dependency when installing mint-meta-codecs
as well as gstreamer, vlc and all packages that would be needed to play a
normal dvd.

Code: Select all

Commit Log for Tue Feb 21 17:30:09 2017


Installed the following packages:
adobe-flashplugin (1:20170214.1-0ubuntu0.16.04.1)
cabextract (1.6-1)
chromium-codecs-ffmpeg-extra (55.0.2883.87-0ubuntu0.16.04.1263)
gstreamer0.10-ffmpeg (0.10.13-5ubuntu1~trusty2)
gstreamer1.0-libav (1.8.3-1ubuntu0.1)
gstreamer1.0-plugins-bad (1.8.3-1ubuntu0.2)
gstreamer1.0-plugins-bad-faad (1.8.3-1ubuntu0.2)
gstreamer1.0-plugins-bad-videoparsers (1.8.3-1ubuntu0.2)
gstreamer1.0-plugins-ugly (1.8.3-1ubuntu0.1)
gstreamer1.0-plugins-ugly-amr (1.8.3-1ubuntu0.1)
liba52-0.7.4 (0.7.4-18)
libass5 (0.13.1-1)
libavcodec-extra (7:2.8.11-0ubuntu0.16.04.1)
libavcodec-ffmpeg-extra56 (7:2.8.11-0ubuntu0.16.04.1)
libavfilter-ffmpeg5 (7:2.8.11-0ubuntu0.16.04.1)
libavformat-ffmpeg56 (7:2.8.11-0ubuntu0.16.04.1)
libavresample-ffmpeg2 (7:2.8.11-0ubuntu0.16.04.1)
libavutil-ffmpeg54 (7:2.8.11-0ubuntu0.16.04.1)
libbasicusageenvironment1 (2016.02.09-1)
libbluray1 (1:0.9.2-2)
libbs2b0 (3.1.0+dfsg-2.2)
libcddb2 (1.3.2-5fakesync1)
libchromaprint0 (1.3-1)
libcrystalhd3 (1:0.0~git20110715.fdd2f19-11build1)
libdc1394-22 (2.2.4-1)
libdca0 (0.0.5-7build1)
libde265-0 (1.0.2-2)
libdirectfb-1.2-9 (1.2.10.0-5.1)
libdvbpsi10 (1.3.0-4)
libdvdcss2 (1.2.13-0)
libebml4v5 (1.3.3-1)
libfaad2 (2.8.0~cvs20150510-1)
libflite1 (2.0.0-release-1)
libfluidsynth1 (1.1.6-3)
libgme0 (0.6.0-3ubuntu0.16.04.1)
libgroupsock8 (2016.02.09-1)
libgstreamer-plugins-bad1.0-0 (1.8.3-1ubuntu0.2)
libgtkglext1 (1.2.0-3.2fakesync1ubuntu1)
libhal1-flash (0.3.1)
libiso9660-8 (0.83-4.2ubuntu1)
libkate1 (0.4.1-7)
liblivemedia50 (2016.02.09-1)
libmad0 (0.15.1b-8ubuntu1)
libmatroska6v5 (1.4.4-1)
libmimic0 (1.0.4-2.3)
libmjpegutils-2.1-0 (1:2.1.0+debian-4)
libmms0 (0.6.4-1)
libmodplug1 (1:0.8.8.5-2)
libmp3lame0 (3.99.5+repack1-9build1)
libmpcdec6 (2:0.1~r459-4.1build1)
libmpeg2-4 (0.5.1-7)
libmpeg2encpp-2.1-0 (1:2.1.0+debian-4)
libmpg123-0 (1.22.4-1)
libmplex2-2.1-0 (1:2.1.0+debian-4)
libmspack0 (0.5-1)
libofa0 (0.9.3-10ubuntu1)
libopenal1 (1:1.16.0-3)
libopencv-calib3d2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-contrib2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-core2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-features2d2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-flann2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-highgui2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-imgproc2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-legacy2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-ml2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-objdetect2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopencv-video2.4v5 (2.4.9.1+dfsg-1.5ubuntu1)
libopenjpeg5 (1:1.5.2-3.1)
libpostproc-ffmpeg53 (7:2.8.11-0ubuntu0.16.04.1)
libproxy-tools (0.4.11-5ubuntu1)
libqt5x11extras5 (5.5.1-3build1)
libresid-builder0c2a (2.1.1-14ubuntu2)
libschroedinger-1.0-0 (1.0.11-2.1build1)
libsdl-image1.2 (1.2.12-5build2)
libshine3 (3.1.0-4)
libsidplay1v5 (1.36.59-8)
libsidplay2v5 (2.1.1-14ubuntu2)
libsnappy1v5 (1.1.3-2)
libsodium18 (1.0.8-5)
libsoundtouch1 (1.9.2-2)
libsoxr0 (0.1.2-1)
libspandsp2 (0.0.6-2.1)
libsrtp0 (1.4.5~20130609~dfsg-1.1ubuntu1)
libssh-gcrypt-4 (0.6.3-4.3)
libssh2-1 (1.5.0-2ubuntu0.1)
libswresample-ffmpeg1 (7:2.8.11-0ubuntu0.16.04.1)
libswscale-ffmpeg3 (7:2.8.11-0ubuntu0.16.04.1)
libtbb2 (4.4~20151115-0ubuntu3)
libtwolame0 (0.3.13-1.2)
libunshield0 (1.0-1)
libupnp6 (1:1.6.19+git20160116-1)
libusageenvironment3 (2016.02.09-1)
libva-drm1 (1.7.0-1)
libva-x11-1 (1.7.0-1)
libva1 (1.7.0-1)
libvcdinfo0 (0.7.24+dfsg-0.2)
libvlc5 (2.2.2-5)
libvlccore8 (2.2.2-5)
libvncclient1 (0.9.10+dfsg-3ubuntu0.16.04.1)
libvo-aacenc0 (0.1.3-1)
libvo-amrwbenc0 (0.1.3-1)
libwildmidi-config (0.3.8-2)
libwildmidi1 (0.3.8-2)
libx264-148 (2:0.148.2643+git5c65704-1)
libx265-79 (1.9-3)
libxcb-composite0 (1.11.1-1ubuntu1)
libxcb-xv0 (1.11.1-1ubuntu1)
libxvidcore4 (2:1.3.4-1)
libzbar0 (0.10+doc-10ubuntu1)
libzmq5 (4.1.4-7)
libzvbi-common (0.2.35-10)
libzvbi0 (0.2.35-10)
mint-meta-codecs (2016.05.04)
mint-meta-codecs-core (2016.05.04)
oxideqt-codecs-extra (1.20.4-0ubuntu0.16.04.1)
unrar (1:5.3.2-1)
unshield (1.0-1)
vlc (2.2.2-5)
vlc-data (2.2.2-5)
vlc-nox (2.2.2-5)
vlc-plugin-notify (2.2.2-5)
xplayer-mozilla (1.2.2+serena)
xplayer-plugins-extra (1.2.2+serena)
This is for Serena XFCE but I would not expect a difference in Sarah

all41
Level 15
Level 15
Posts: 5691
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: cannot play movies on DVD

Post by all41 » Tue Feb 21, 2017 10:08 pm

you can always just reinstall mint-meta-codecs using synaptic package manager
or by terminal instruction apt reinstall mint-meta-codecs
Beforehand you could try going to Users and Groups and temporarily create a new user.
Then log off and log back in as the new user and try your dvd again.
New users get a fresh set of config files--if it works there then your packages are ok.

dpurple
Level 1
Level 1
Posts: 7
Joined: Tue Feb 21, 2017 8:47 am

Re: cannot play movies on DVD

Post by dpurple » Wed Feb 22, 2017 7:17 am

all41 wrote:you can always just reinstall mint-meta-codecs using synaptic package manager
or by terminal instruction apt reinstall mint-meta-codecs
Beforehand you could try going to Users and Groups and temporarily create a new user.
Then log off and log back in as the new user and try your dvd again.
New users get a fresh set of config files--if it works there then your packages are ok.

Thanks again for your help all41.
Unfortunately, the options above didn't work. I've also installed VLC on Wine and installed Lubuntu on VMware player but I couldn't watch or open any movie on dvds.
I'm giving it up, that's fine, I believe It's time to buy a new laptop :D

all41
Level 15
Level 15
Posts: 5691
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: cannot play movies on DVD

Post by all41 » Wed Feb 22, 2017 10:52 am

I believe It's time to buy a new laptop :D
It seems to always be that time for me. :)

You could also reboot live back into your install .iso and
do nothing but add mint-meta-codecs just to verify hardware.
Or if you have a 17x series .iso, mint-meta-codecs are installed out of the box.
Just good not to leave a question mark.

But either way, by any means, still get a new laptop :wink:

Post Reply

Return to “Sound, Multimedia, & Codecs”